[SciPy-User] 回复: [Numpy-discussion] errors of scipy build

David Cournapeau cournape@gmail....
Mon Sep 24 08:47:16 CDT 2012


On Mon, Sep 24, 2012 at 2:39 PM, 心如烛光 <275438859@qq.com> wrote:
> Hi,David.
>     thanks for your help.
>     But I don't think that the build for numpy and scipy are
> successful.Course the test of numpy and scipy are fail.
> Here's the situation:
>>>> import numpy as np
>>>> np.test('full')
> Running unit tests for numpy
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File
> "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/testing/nosetester.py",
> line 340, in test
>     self._show_system_info()
>   File
> "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/testing/nosetester.py",
> line 193, in _show_system_info
>     nose = import_nose()
>   File
> "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/testing/nosetester.py",
> line 71, in import_nose
>     raise ImportError(msg)
> ImportError: Need nose >= 0.10.0 for tests - see
> http://somethingaboutorange.com/mrl/projects/nose

This message indicates that you need to install nose to run
numpy/scipy unit tests. Nose is not mandatory to use numpy/scipy, but
required for testing.

David


More information about the SciPy-User mailing list